::selection {
  background: #fbffb4;
  color: black;
}

/* NAV */
.navbar , footer, .platform-banner
{
    background-color: #7133B5!important;
    border-color: #40156d;
}
@keyframes expand {
  0%   { transform: scale(1); }
  20%  { transform: scale(1.08)}
  40%  { transform: scale(1.4)}
  50%  { transform: scale(1.5)}
  60%  { transform: scale(1.4)}
  80% { transform: scale(1.15);}
  100% { transform: scale(1.2); }
}

.nav-link, .btn-navbar, footer p
{
    color: #4af095!important;
    font-family: "Luckiest Guy", cursive;
    font-weight: 400;
    font-size: x-large;
    font-style: normal;
    transition: transform 0.2s ease;
    display: inline-block;
    -webkit-text-stroke: 6px white;
    paint-order: stroke;
}
.nav-link:hover{
    filter: brightness(80%);
    animation: expand-shake 0.4s ease;
}
@keyframes expand-shake {
  0%   { transform: scale(1); }
  20%  { transform: scale(1.08) translateX(-2px) rotate(10deg); }
  40%  { transform: scale(1.08) translateX(2px) rotate(15deg); }
  60%  { transform: scale(1.08) translateX(-2px) rotate(5deg); }
  80%  { transform: scale(1.08) translateX(2px) rotate(0deg); }
  100% { transform: scale(1); }
}

.btn-navbar
{
    color: #000000!important;
    background-color: #f2ebfa;
    border-color: #000000;
    border-width: 4px;
    transition: 0.2s ease;
}
.btn-navbar:hover
{
    /* filter: brightness(80%); */
    filter: invert(1);
    animation: expand 0.6s ease;
    transform: scale(1.2);
}


/* PLATFORMS */
.platform-banner{
    border-bottom: 6px solid #40156d;
}
.platform-banner i { /* Tamaño de las consolas */
    font-size: 300% !important;
}
.platform-icon:hover
{
    color: #54F0A3!important;
}

.mechanics-section
{
    background-image: url('../../Resources/screamer_streamers/backgrounds/color_tile_128.webp');
    position: relative;
    overflow: hidden;
}

.characters-section {
    position: relative;
    overflow: visible;
    padding-bottom: 3rem !important;
}
.characters-section::before
{
    background-image: url('../../Resources/screamer_streamers/backgrounds/green_tile_128.webp');
    background-repeat: repeat;
    background-size: auto;

    image-rendering: pixelated;
}
.character-banner {
    content: url('../../Resources/screamer_streamers/backgrounds/select.webp');
    max-width: 100%;
    height: auto;

    display: block;
    margin: 0 auto;

    image-rendering: pixelated;
    position: relative;
    z-index: 2;
    animation: wave-distort 5s ease-in-out infinite;
    will-change: transform;
    @media (max-width: 767px) {
        content: url('../../Resources/screamer_streamers/backgrounds/select-md.webp');
    }
}
@keyframes wave-distort {
  0%   { transform: skewX(0deg)   translateY(0); }
  20%  { transform: skewX(2deg)   translateY(-4px); }
  40%  { transform: skewX(-2deg)  translateY(4px); }
  60%  { transform: skewX(1.6deg) translateY(-2px); }
  80%  { transform: skewX(-1.6deg)translateY(2px); }
  100% { transform: skewX(0deg)   translateY(0); }
}

.char-row {
    @media (max-width: 767px) {
        padding-bottom: 0 !important;
    }
}
.char-info
{
    background-image: url('../../Resources/screamer_streamers/backgrounds/noise_background.webp');
    background-size: 96% 96%;
    background-repeat: no-repeat;
    background-position: center;
    font-family: "Luckiest Guy", cursive;
    font-weight: 400;
    font-style: normal;
    letter-spacing: 1px;
    filter: drop-shadow(1vw 1vw 0 black);
    z-index: 40;
}
.char-info p {
    mix-blend-mode: difference;
    @media (max-width: 576px) {
        font-size: 4.5vw;
    }
}

.mechanics h2{
    font-family: 'Robin';
    color: #fed320;
    letter-spacing: -5px;
    text-transform: uppercase;
    -webkit-text-stroke: 10px black;
    paint-order: stroke fill;
    @media (max-width: 767px) {
        line-height: 120%;
    }
}

.mechanics p
{
    color: white;
    -webkit-text-stroke: 8px black;
    paint-order: stroke fill;
    font-family: "Luckiest Guy", cursive;
    font-weight: 400;
    font-style: normal;
    text-align: center;
    filter: drop-shadow(2px 1px 0 black);
}


.h6 {
    text-shadow: 3px 3px 0px #000000;
}

.mechanics-image
{
    filter: drop-shadow(0.5vw 0.5vw 0 black);
}
.mechanics-dj-frame
{
    border-image: url('../../Resources/screamer_streamers/backgrounds/seagreen_frame_sqr.webp') 30 round;
    border-image-slice: 30%;
}

.board-tr {
    content: url("../../Resources/screamer_streamers/backgrounds/pin.webp");
    position: absolute;
    width: 17%;
    height: auto;
    top: 0;
    right: 0;
    transform: translate(50%, -60%);
}
.board-bl {
    content: url("../../Resources/screamer_streamers/backgrounds/fotitos.webp");
    position: absolute;
    width: 40%;
    height: auto;
    left: 0;
    bottom: 0;
    transform: translate(-40%, 60%);
}
.mechanics-image img
{
    border-radius: 0px;
}
.mechanics-section {
    padding-bottom: 10rem !important;
    @media (max-width: 767px) {
        padding-bottom: 3rem !important;
    }
}

.char-info-content
{
    color: white;
    border: 5vw solid transparent;
    border-image: url('../../Resources/screamer_streamers/backgrounds/window_frame.webp');
    border-image-slice: 45%;
    @media (max-width: 767px) {
        border-width: 12vw;
    }
}
/* Margenes negativos del texto de los personajes */
@media (max-width: 767px) {
    .char-info-content h2 {
        margin-top: -2.5vw;
    }
    .char-info-content > * {
        margin-right: -2.5vw;
        margin-left: -2.5vw;
    }
}


/* Para las imágenes que serán usadas como frame */
.frame {
    position: absolute;
    top: 40%;
    left: 50%;
    rotate: -10deg;
    width: 70%;
    transform: translate(-50%, -50%) translateY(0);

    cursor: pointer;
    pointer-events: auto;
    opacity: 1;

    transition:
        transform 0.45s ease,
        opacity 0.45s ease;
}
.dissapear.frame{
    transform: translate(-50%, -50%) translateY(60px);
    opacity: 0;
    pointer-events: none;
}

/* BIG-ASS PHONE */
.flavor {  /* CONTENEDOR */
    position: fixed;
    top: 50%;
    left: 50%;
    overflow: visible;

    height: 100vh;
    width: 100vw;

    display: flex;
    align-items: center;
    justify-content: center;

    opacity: 0;
    pointer-events: none;
    z-index: 1060;

    transform-origin: center;
    transform:
        translate(-50%, -50%)
        rotate(-90deg)
        scale(1.5)
        translateY(20px);

    transition:
        transform 0.6s cubic-bezier(.22,1,.36,1),
        opacity 0.35s ease;
}
.flavor.focused {
    opacity: 1;
    pointer-events: auto;

    transform:
        translate(-50%, -50%)
        rotate(-90deg)
        scale(1)
        translateY(0);
}
.flavor-content {
    position: relative;

    height: 55vw;
    width: auto;
    aspect-ratio: 1/2;

    flex-direction: column;
    align-items: center;
    justify-content: center;

    text-align: center;
    @media (max-width: 767px) {
        height: 70vh;
    }
}
.flavor-content > * {
    transform: rotate(90deg);
    aspect-ratio: 1.1/1;
    @media (max-width: 767px) {
        transform: rotate(0deg);
    }
}
@media (max-width: 767px) {
    .flavor {
        width: 100vw;
        height: 105vh;

        transform:
            translate(-50%, -50%)
            rotate(0deg)
            scale(1.15)
            translateY(20px);
    }

    .flavor.focused {
        transform:
            translate(-50%, -50%)
            rotate(0deg)
            scale(1)
            translateY(0);
    }
}
.bg-big {
    position: absolute;
    top: 50%;
    left: 50%;
    height: auto;
    width: 42%;

    transform: translate(-50%, -50%);
    object-fit: cover;
    image-rendering: pixelated;
    @media (max-width: 767px) {
        height: 100%;
        width: auto;
    }
}
.char-shadow {
    image-rendering: pixelated;
    object-fit: contain;
    mix-blend-mode: lighten;
}
.flavor-text {
    font-family: "Luckiest Guy", cursive;
    font-weight: 400;
    font-style: normal;
    letter-spacing: 1px;
    filter: drop-shadow(0.3vw 0.3vw 0 black);
    font-size: 2.2vw;
    line-height: 90%;
    @media (max-width: 767px) {
        filter: drop-shadow(0.8vw 0.8vw 0 black);
        font-size: 3vh;
    }
}
/* ANIMACIÓN DE CÁMARA ABRIENDO */
#camera-flip {
    position: fixed;
    inset: 0;
    pointer-events: none;
    z-index: 1050;

    display: flex;
}
.camera-anim {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);

    aspect-ratio: 1618 / 919;

    background-image: url("../../Resources/screamer_streamers/backgrounds/camera_flip.webp");
    background-repeat: no-repeat;
    background-size: auto 100%;
    image-rendering: pixelated;

    animation: play 400ms steps(3) infinite;
}
@media (orientation: portrait) {
    .camera-anim {
        left: 0;
        top: 50%;
        transform: translate(0, -50%);

        background-image: url("../../Resources/screamer_streamers/backgrounds/camera_flip_md.webp");
        background-repeat: no-repeat;
        background-size: 100vw auto !important;
        image-rendering: pixelated;
        animation: play-md 400ms steps(3) infinite;
    }
}
@media (orientation: landscape) and (min-aspect-ratio: 1618 / 919) {
    .camera-anim {
        width: 100vw;
        background-size: 300vw auto;
    }
}
@media (orientation: landscape) and (max-aspect-ratio: 1618 / 919) {
    .camera-anim {
        height: 100vh;
        background-size: auto 100vh;
    }
}
@media (orientation: portrait) and (max-aspect-ratio: 919 / 1618) {
    .camera-anim {
        height: 100vh;
        background-size: auto 300vh !important;
    }
}
@media (orientation: portrait) and (min-aspect-ratio: 919 / 1618) {
    .camera-anim {
        width: 100vw;
        height: 100%;
        background-size: 100vw auto !important;
    }
}
@keyframes play {
    0% {
        background-position:   0% 0;
        opacity: 1;
    }
    99% {
        opacity: 1;
    }
    100% {
        background-position: 150% 0;
        opacity: 0;
    }
}
@keyframes play-md {
    0% {
        background-position: 0 0%;
        opacity: 1;
    }
    99% {
        opacity: 1;
    }
    100% {
        background-position: 0 150%;
        opacity: 0;
    }
}

.char { /* El personaje */
    position: relative;
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.char-col {
    position: relative;
    overflow: visible !important;
    aspect-ratio: 1/1 !important;
    left: 5%;

    @media (max-width: 767px) {
        left: 4%;
    }
}

.separator {
    image-rendering: pixelated;
}

.side-img {
    position: relative;
    height: 100%;
}

.trailer-section {
    position: relative;
    overflow: hidden;
}
.trailer-section::before {
    content: "";
    position: absolute;
    inset: 0;

    background-image: url("../../Resources/screamer_streamers/backgrounds/eyebat-bg.webp"),
    repeating-linear-gradient(45deg,
        #fbf7ff,
        #fbf7ff 5%,
        transparent 5%,
        transparent 10%
    ),
    linear-gradient(
        to bottom,
        #debbff,
        transparent
    );
    image-rendering: pixelated;

    z-index: 0;
    pointer-events: none;
}
@media (max-width: 767px) {
    .trailer-section {
        background-image: url("../../Resources/screamer_streamers/backgrounds/eyebat-bg-md.webp"),
        repeating-linear-gradient(45deg,
            #fbf7ff,
            #fbf7ff 5%,
            transparent 5%,
            transparent 10%
        ),
        linear-gradient(
            to bottom,
            #debbff,
            transparent
        );
    }
}

.trailer-left {
    content: url("../../Resources/screamer_streamers/backgrounds/s3_looking.webp");
    width: 100%;
    right: 0;
}

.trailer-right {
    content: url("../../Resources/screamer_streamers/backgrounds/mitch_looking.webp");
    width: 80%;
}

/* LEVELS-SECTION */
.levels-section
{
    position: relative;
    overflow: visible;
    overflow-x: clip;
}
.levels-section::before {
    content: "";
    position: absolute;
    inset: 0;

    background-image: url('../../Resources/screamer_streamers/backgrounds/concrete_floor_dark.webp');
    background-repeat: repeat;
    background-size: auto;

    image-rendering: pixelated;

    z-index: 0;
    pointer-events: none;
}
.h6.img-shadow {
    font-family: 'Robin';
    text-transform: uppercase;
    letter-spacing: -10px;
    @media (max-width: 767px) {
        letter-spacing: -4px;
    }
}

/* PARA CAMBIAR LOS FLECHAS DEL CARROUSEL */
[data-bs-target="#levelsCarousel"] > span {
    image-rendering: pixelated;
}
.carousel-control-prev-icon {
    background-image: url('../../Resources/screamer_streamers/backgrounds/prev-icon.webp');
}
.carousel-control-prev-icon:hover {
    background-image: url('../../Resources/screamer_streamers/backgrounds/prev-icon-hover.webp');
}
.carousel-control-next-icon {
    background-image: url('../../Resources/screamer_streamers/backgrounds/next-icon.webp');
}
.carousel-control-next-icon:hover {
    background-image: url('../../Resources/screamer_streamers/backgrounds/next-icon-hover.webp');
}

/* EFECTO DE FLASHLIGHT PARA FONDO DE MECHANICS */
.bg-1 {
    position: absolute;
    inset: 0;
    pointer-events: none;

    background:
    radial-gradient(
        circle farthest-side at 50% 50%,
        #979797 0%,
        #979797 15%,
        #977697 15%,
        #977697 25%,
        #765697 25%,
        #765697 40%,
        #563797 40%,
        #563797 60%,
        #371997 60%,
        #371997 85%,
        #371976 85%
    );
    mix-blend-mode: darken;
}
.bg-2 {
    opacity: 0.5;
    position: absolute;
    inset: 0;
    pointer-events: none;

    background:
    radial-gradient(
        circle farthest-side at 50% 50%,
        transparent 0%,
        transparent 6%,
        rgba(120, 170, 120, 0.35) 6%,
        rgba(120, 170, 120, 0.35) 8%,
        transparent 8%,
        rgba(100, 160, 120, 0.45) 16%,
        rgba(100, 160, 120, 0.45) 18%,
        transparent 18%,
        rgba(80, 150, 110, 0.55) 28%,
        rgba(80, 150, 110, 0.55) 30%,
        transparent 30%,
        rgba(60, 140, 100, 0.65) 44%,
        rgba(60, 140, 100, 0.65) 46%,
        transparent 46%,
        rgba(40, 130, 90, 0.75) 64%,
        rgba(40, 130, 90, 0.75) 66%,
        transparent 66%,
        rgba(20, 120, 80, 0.85) 84%,
        rgba(20, 120, 80, 0.85) 86%,
        transparent 86%
    );

    mix-blend-mode:lighten;
}

.carousel-image-frame {
    border: 3vw solid transparent;
    border-image: url('../../Resources/screamer_streamers/backgrounds/yellow_frame_sqr.webp');
    border-image-slice: 30%;
    border-image-repeat: round;
    @media (max-width: 767px) {
        border-width: 6vw;
    }
}

.bg-1::after {
    content: "";
    position: absolute;
    inset: 0;
    pointer-events: none;

    background-image:
    url("data:image/svg+xml;utf8, <svg xmlns='http://www.w3.org/2000/svg' width='4' height='4'> <rect width='1' height='1' fill='rgba(255,255,255,0.15)'/> <rect x='2' y='2' width='1' height='1' fill='rgba(255,255,255,0.15)'/> </svg>");

    background-repeat: repeat;
    mix-blend-mode: overlay;
    opacity: 1;
    background-size: 12px 12px;
}

h5{
    font-family: 'Robin';
    font-size: 3vw;
    color: #fff9ed;
    letter-spacing: -0.8vw;
    text-transform: uppercase;
    -webkit-text-stroke: 10px black;
    paint-order: stroke fill;
    text-align: center;
    position: relative;
    z-index: 5;
}

/* PEEKING */
.peek-img {
  position: absolute;
  opacity: 0;
  transition: opacity 0.4s ease, transform 0.4s ease;
  animation-timing-function: ease-in-out;
  z-index: 0;
  pointer-events: auto;
}

.peek-img.char-1 {
    content: url('../../Resources/screamer_streamers/backgrounds/hamburglar.webp');
    right: 0;
    --out: translate(80%, 70%) rotate(30deg);
    --in:  translate(40%, 40%) rotate(30deg);
    --delay: 1s;
}
.peek-img.char-2 {
    content: url('../../Resources/screamer_streamers/backgrounds/spirit.webp');
    top: 0;
    --out: translate(-70%, 30%) rotate(-45deg);
    --in:  translate(-40%, 50%) rotate(-45deg);
    --delay: 2.5s;
}
.peek-img.char-3 {
    content: url('../../Resources/screamer_streamers/backgrounds/mummy.webp');
    left: 0;
    bottom: 0;
    --out: translate(-50%, 30%) rotate(-10deg);
    --in:  translate(-20%, 0%) rotate(-10deg);
    --delay: 5s;
}
.peek-img {
    transform: var(--in);
}
.peek-img:hover {
    animation:
        shake 120ms steps(2) infinite;
    opacity: 1 !important;
}
.peek-img:not(:hover) {
    animation:
        jump 300ms steps(3) forwards,
        peek 6s ease-in-out var(--delay) infinite;
}
/* IDLE ANIMATION */
@keyframes peek {
  0%, 68%, 100% {
    opacity: 0;
    transform: var(--in);
  }

  78%, 88% {
    opacity: 1;
    transform: var(--out);
  }
}
@keyframes shake {
  0%   { transform: var(--out) rotate(0deg); }
  10%  { transform: var(--out) rotate(1deg); }
  20%  { transform: var(--out) rotate(-1deg); }
  30%  { transform: var(--out) rotate(1.5deg); }
  40%  { transform: var(--out) rotate(-1.5deg); }
  50%  { transform: var(--out) rotate(1deg); }
  60%  { transform: var(--out) rotate(-1deg); }
  70%  { transform: var(--out) rotate(0.8deg); }
  80%  { transform: var(--out) rotate(-0.8deg); }
  90%  { transform: var(--out) rotate(0.4deg); }
  100% { transform: var(--out) rotate(0deg); }
}
@keyframes jump {
  0% {
    transform: var(--out);
    opacity: 1;}
  35% {
    transform: var(--out) translateY(-10%);
    opacity: 1;}
  70% {
    transform: var(--out) translateY(30%);}
  100% {
    transform: var(--in);
    opacity: 0;}
}

@media (max-width: 767px) {
    .carousel-caption h5 {
        font-size: 5vw;
        -webkit-text-stroke: 6px black;
        margin-bottom: 0;
    }
}

/* EFECTO DE GLITCH */
.filter{
  display: none;
}

.imgWrap{
    width: 100%;
    height: 100%;
    position: relative;
    overflow: visible;
    --time: 0.3s;
    img {
        content: var(--img);
        width: 100%;
        object-fit: cover;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%,-50%);
        mix-blend-mode: lighten;
        image-rendering: pixelated;
    }
    .red{
        filter: url(#alphaRed);
        mix-blend-mode: lighten;
        transform: translate(-49.4%,-49.6%);
        animation-name: imgGlitch;
        animation-duration: var(--time);
        animation-timing-function: linear;
        animation-iteration-count: infinite;
    }
    .green{
        filter: url(#alphaGreen);
        mix-blend-mode: lighten;
        transform: translate(-50.4%,-49.5%);
        animation-name: imgGlitch;
        animation-duration: var(--time);
        animation-timing-function: linear;
        animation-iteration-count: infinite;
    }
    .blue{
        filter: url(#alphaBlue);
        mix-blend-mode: lighten;
        transform: translate(-50.3%,-50.5%);
        animation-name: imgGlitch;
        animation-duration: var(--time);
        animation-timing-function: linear;
        animation-iteration-count: infinite;
    }
}

@keyframes imgGlitch {
  0%{
    clip-path: path("M400,21.66V10.49h-116.29V0H39.36V54.56H0v36.09H101.25v9.77H.23v5.52H101.25v14.44H22.77v15.29H13.82v39.06H.23v6.79H13.82v15.29h60.63v20.81H10.25v51.17H.23v26.75H61.69v30.57h-29.35v12.1H0v30.57H22.77v31.36H400v-25.41h-31.43v-5.95h31.43v-8.28h-31.43v-15.92h-9.57v-14.65h32.56v-13.38h8.44v-10.83h-8.44v-52.23h-79.37v-21.02h69.78v-7.64h18.03v-24.7h-8.44v-52.58h-22.99v-11.89h31.43v-15.29h-31.43v-36.3h31.43V35.03h-116.29v-13.38h116.29ZM138.57,120.38h15.14v15.29h-15.14v-15.29ZM74.45,386.85v-18.08h39.56v14.01h144.19v4.06H74.45Zm89.32-42.28v-6.37h-34.45v-12.1h48.49v18.47h-14.04Zm56.73-25.48h-5.05v-2.55h5.05v2.55Zm-5.05-13.38v-10.19h5.05v10.19h-5.05Z");
  }
  50%{
    clip-path: path("M398.2,238.77v-14.06h2.28v-24.74h-2.28v-37.76h-8.45v-4.24H215.93v-3.23h178.76v-61.25H254.7v-3.19h33.11v-11.59h102.55V29.58h-52.25V0H93.75V13.18H0v11.19H39.84v29.77H.48v36.15H39.84v28.22H18.22v6.81h5.04v10.06H14.3v61.25h60.63v2.12H1.05v56.57H29.76v21.71H96.62v3.81h4.79v7.66h-3.83v-6.14H.6v14.67H62.17v13.8H.48v30.62H82.37v3.83h35.94v8.77H15.17v13.3H118.31v8.77H.48v23.84H244.84v-12.97h134.3v-18.11h21.34v-8.29h-21.34v-26.19h19.02v-25.45h-42.19v-26.19h18.5v-1.93h26.01v-10.85h-26.01v-25.51h-71.49v-5.73h95.22Zm-171.06-75.27v14.95h-11.21v-14.95h11.21Zm-88.09-38.17h38.45v-5.25h15.55v15.31h-54.01v-10.06Zm76.88,189.34v-3.83h40.42v14.92h-10.22v-11.09h-30.21Zm-45.94,30.62h7.52v8.77h-7.52v-8.77Zm0,22.07h7.52v8.77h-7.52v-8.77Z");
  }
  100% {
    clip-path: path("M400.21,112.61v-15.31H234.82v-9.04h52.51v-6.59h112.67V32.54h-33.6V6.06h-95.3V0H69.47V2.36H29.34V13.55h40.13v7.51H32.34v20.87h-12.38v10.18H0v36.15H19.96v49.37h18.2v23.05H13.82v11.8H.23v6.81H13.82v37.96h18.52v22.74H13.14v13.3h19.2v8.96h106.23v4.44H.23v26.8H61.69v30.62h-29.35v14.67H114.47v11.23H17.55v30.62h18.3v17.63h51.68v-17.63h26.94v11.98h143.72v5.65h141.81v-25.45h-114.47v-5.21h101.25v-.75h13.22v-8.29h-13.22v-29.24h-17.58v-10.32h30.72v-10.85h-30.72v-5.11h30.72v-31.26h-16.99v-29.1h17.08v-24.74h-60.14v-6.74h-24.11v-8.11h70.6v-61.25h-20.92v-29.24h34.78Zm-164.97,180.87v-8.94h88.66v12.37h-108.46v-3.43h19.79Zm-50.53-151.63v18.82h-30.76v-23.05h71.6v4.23h-40.84Z");
  }
}